AWS SDK Version 3 for .NET
API Reference

AWS services or capabilities described in AWS Documentation may vary by region/location. Click Getting Started with Amazon AWS to see specific differences applicable to the China (Beijing) Region.

Constants used for properties of type ErrorCode.

Inheritance Hierarchy

System.Object
  Amazon.Runtime.ConstantClass
    Amazon.CognitoIdentity.ErrorCode

Namespace: Amazon.CognitoIdentity
Assembly: AWSSDK.CognitoIdentity.dll
Version: 3.x.y.z

Syntax

C#
public class ErrorCode : ConstantClass

The ErrorCode type exposes the following members

Constructors

NameDescription
Public Method ErrorCode(string)

This constant constructor does not need to be called if the constant you are attempting to use is already defined as a static instance of this class. This constructor should be used to construct constants that are not defined as statics, for instance if attempting to use a feature that is newer than the current version of the SDK.

Properties

NameTypeDescription
Public Property Value System.String Inherited from Amazon.Runtime.ConstantClass.

Methods

Note:

Asynchronous operations (methods ending with Async) in the table below are for .NET 4.5 or higher. For .NET 3.5 the SDK follows the standard naming convention of BeginMethodName and EndMethodName to indicate asynchronous operations - these method pairs are not shown in the table below.

NameDescription
Public Method Static Method FindValue(string)

Finds the constant for the unique value.

Fields

NameTypeDescription
Field Static Field AccessDenied Amazon.CognitoIdentity.ErrorCode

Constant AccessDenied for ErrorCode

Field Static Field InternalServerError Amazon.CognitoIdentity.ErrorCode

Constant InternalServerError for ErrorCode

Version Information

.NET Standard:
Supported in: 1.3

.NET Framework:
Supported in: 4.5, 4.0, 3.5

Portable Class Library:
Supported in: Windows Store Apps
Supported in: Windows Phone 8.1
Supported in: Xamarin Android
Supported in: Xamarin iOS (Unified)
Supported in: Xamarin.Forms

Unity:
Supported Versions: 4.6 and above
Supported Platforms: Android, iOS, Standalone